Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.process
Interface ChildProcessServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  ChildProcessService

public interface ChildProcessServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getCommandLine()`
`Properties` | `getEnvironment()`
`Integer` | `getExitValue()`
`String` | `getLoggerAdapterName()`
`File` | `getWorkingDirectory()`
`void` | `setCommandLine(String commandLine)`
`void` | `setEnvironment(Properties env)`
`void` | `setLoggerAdapterName(String name)`
`void` | `setWorkingDirectory(File dir)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setCommandLine

    public void setCommandLine(String commandLine)

### getCommandLine

    public String getCommandLine()

### setEnvironment

    public void setEnvironment(Properties env)

### getEnvironment

    public Properties getEnvironment()

### setWorkingDirectory

    public void setWorkingDirectory(File dir)

### getWorkingDirectory

    public File getWorkingDirectory()

### getExitValue

    public Integer getExitValue()

### setLoggerAdapterName

    public void setLoggerAdapterName(String name)

### getLoggerAdapterName

    public String getLoggerAdapterName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.